package com.qmth.sop.business.bean.result;

import com.qmth.sop.business.entity.SysCustom;
import com.qmth.sop.business.entity.SysCustomAddr;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 客户表
 * </p>
 *
 * @author wangliang
 * @since 2023-08-01
 */

public class SysCustomResult extends SysCustom implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "客户经理")
    private String managerName;

    @ApiModelProperty(value = "服务档位名称")
    private String level;

    @ApiModelProperty(value = "创建人")
    private String createName;

    @ApiModelProperty(value = "项目角色配置")
    private List<SysLevelRoleResult>  roleList= new ArrayList<>();

    @ApiModelProperty(value = "校区地址")
    private List<SysCustomAddr>  addrList= new ArrayList<>();

    public List<SysCustomAddr> getAddrList() {
        return addrList;
    }

    public void setAddrList(List<SysCustomAddr> addrList) {
        this.addrList = addrList;
    }

    public List<SysLevelRoleResult> getRoleList() {
        return roleList;
    }

    public void setRoleList(List<SysLevelRoleResult> roleList) {
        this.roleList = roleList;
    }

    public String getManagerName() {
        return managerName;
    }

    public void setManagerName(String managerName) {
        this.managerName = managerName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }
}
